Loading...
Searching...
No Matches
caf::detail::stream_source_driver_impl< DownstreamManager, Pull, Done, Finalize > Class Template Referencefinal

Identifies an unbound sequence of messages. More...

`#include <stream_source_driver_impl.hpp>`

Inheritance diagram for caf::detail::stream_source_driver_impl< DownstreamManager, Pull, Done, Finalize >:

## Public Types

using | super = stream_source_driver<DownstreamManager>
using | output_type = typename super::output_type
using | trait = stream_source_trait_t<Pull>
using | state_type = typename trait::state
Public Types inherited from caf::stream_source_driver< DownstreamManager >
using | downstream_manager_type = DownstreamManager
| Type of the downstream manager, i.e., the type returned by stream_manager::out().
using | output_type = typename downstream_manager_type::output_type
| Element type of the output stream.
using | stream_type = stream<output_type>
| Type of the output stream.
using | source_type = stream_source<downstream_manager_type>
| Implemented stream_source interface.
using | source_ptr_type = intrusive_ptr<source_type>
| Smart pointer to the interface type.

## Public Member Functions

template<class Init>
| stream_source_driver_impl (Init init, Pull f, Done pred, Finalize fin)
void | pull (downstream< output_type > &out, size_t num) override
| Generates more elements for dst.
bool | done () const noexcept override
| Returns true if the source is done sending, otherwise false.
void | finalize (const error &err) override
| Cleans up any state.

## Detailed Description

template<class DownstreamManager, class Pull, class Done, class Finalize>
class caf::detail::stream_source_driver_impl< DownstreamManager, Pull, Done, Finalize >

Identifies an unbound sequence of messages.

## Member Function Documentation

## done()

template<class DownstreamManager, class Pull, class Done, class Finalize>

bool caf::detail::stream_source_driver_impl< DownstreamManager, Pull, Done, Finalize >::done | ( |  | ) | const

override virtual noexcept

Returns true if the source is done sending, otherwise false.

Implements caf::stream_source_driver< DownstreamManager >.

## finalize()

template<class DownstreamManager, class Pull, class Done, class Finalize>

void caf::detail::stream_source_driver_impl< DownstreamManager, Pull, Done, Finalize >::finalize | ( | const error & |  | ) |

override virtual

Cleans up any state.

Reimplemented from caf::stream_source_driver< DownstreamManager >.

## pull()

template<class DownstreamManager, class Pull, class Done, class Finalize>

void caf::detail::stream_source_driver_impl< DownstreamManager, Pull, Done, Finalize >::pull | ( | downstream< output_type > & | dst,
|  | size_t | num )

override virtual

Generates more elements for dst.

Implements caf::stream_source_driver< DownstreamManager >.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/stream_source_driver_impl.hpp